Package Gnumed :: Package timelinelib :: Package general :: Module config :: Class Config |
[frames] | no frames]

# Class Config

source code

             object --+
                      |
    observer.Observable --+
                          |
                         Config

Instance Methods
__init__(self, item_dicts) x.__init__(...) initializes x; see help(type(x)) for signature | source code
read(self, path) | source code
write(self, path) | source code
Inherited from `observer.Observable`: `listen_for`, `listen_for_any`, `register`, `unlisten`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, item_dicts) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)